StartServer (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class StartServer

- java.lang.Object
- - siena.StartServer

-     public class StartServer
      extends java.lang.Object

  a utility class that can be used to run a `HierarchicalDispatcher` as a stand-alone Siena server. `StartServer` accepts some command-line parameters to set various options of the dispatcher (such as its listener port, its identity etc.).

  The complete syntax of the command-line options is:

  `StartServer` [`-master` address] [`-id` identity] [`-host` address] [`-tcp` | `-udp` | `-ka` ] [`-port` port] [`-monitor` hostname] [`-err` `off` | `-` | filename] [`-log` `off` | `-` | filename] [`-fail-delay` millisec] [`-fail-count` num] [`-output-threads` num] [`-store` filename] [`-store-timeout` millisec] [`-store-counter` number] [`-choke` number] [`-noSFF`]

  `-master` address
    sets the master server for this server
  `-id` identity
    explicitly sets the identity of this server
  `-host` address
    explicitly sets the host address for the receiver of this server. This option is provided in case the JVM can not reliably determine its own host address (see `TCPPacketReceiver.setHostName(String)`, `UDPPacketReceiver.setHostName(String)`, and `KAPacketReceiver.setHostName(String)`)
  `-tcp`
    uses a `TCP receiver`. This is the default receiver.
  `-udp`
    uses a `UDP receiver`
  `-ka`
    uses a `Keep-Alive receiver`.
  `-port` port
    port number for the packet receiver of this Siena server
  `-monitor` hostname
  `-err` `off` | `-` | filename
    redirects the error stream. `-` means standard output. `off` turns off error reporting. The default is to send error messages to `System.err`.
  `-log` `off` | `-` | filename
    redirects the logging stream. `-` means standard output. `off` turns off error reporting. By default logging is turned off.
  `-fail-delay` millisec
    sets `HierarchicalDispatcher.MaxFailedConnectionsDuration`
  `-fail-count` number
    sets `HierarchicalDispatcher.MaxFailedConnectionsNumber`
  `-threads` number
    sets `HierarchicalDispatcher.DefaultThreadCount`
  `-store` filename
    activates the subscription storage system with the given file. See `HierarchicalDispatcher.initStore(String)`
  `-store-timeout` millisec
    calls `HierarchicalDispatcher.setStoreRefreshTimeout(long)`
  `-store-counter` number
    calls `HierarchicalDispatcher.setStoreRefreshCounter(int)`
  `-noSFF`
    turns off usage of Siena Fast Forwarding
  `-choke` number
    sets the rate in milliseconds at which SFF table is updated

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] argv)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartServer

          public StartServer()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] argv)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga